*************************************************************************
*     
*     Subroutine read_B.f
*     
*     it calls the subroutines which read the magnetic field maps for
*     the PAMELA spectrometer
*     
*     needs:
*     - ./read_B_inner.f inner map reading subroutine
*     - ./read_B_outer.f outer map reading subroutine
*     
*     to be called before ./inter_B.f (interpolation subroutine)
*     
*************************************************************************

      subroutine read_B

c     call the subroutine which reads the maps of the measurements taken
c     inside the magnetic cavity
      call read_B_inner

c     call the subroutine which reads the maps of the measurements taken
c     outside the magnetic cavity
      call read_B_outer        

      return
      end

      include './read_B_inner.f'
      include './read_B_outer.f' 
